com.fasterxml.jackson.dataformat.ion

## Class EnumAsIonSymbolModule

- java.lang.Object
- - com.fasterxml.jackson.databind.Module
  - - com.fasterxml.jackson.databind.module.SimpleModule
    - - com.fasterxml.jackson.dataformat.ion.EnumAsIonSymbolModule

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Serializable

      public class EnumAsIonSymbolModule
      extends com.fasterxml.jackson.databind.module.SimpleModule

  Module that causes all enums to be serialized as Ion symbols.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

      `com.fasterxml.jackson.databind.Module.SetupContext`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.module.SimpleModule

      `_abstractTypes, _deserializerModifier, _deserializers, _keyDeserializers, _keySerializers, _mixins, _name, _namingStrategy, _serializerModifier, _serializers, _subtypes, _valueInstantiators, _version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumAsIonSymbolModule()`

  - ### Method Summary

    - ### Methods inherited from class com.fasterxml.jackson.databind.module.SimpleModule

      `_checkNotNull, addAbstractTypeMapping, addDeserializer, addKeyDeserializer, addKeySerializer, addSerializer, addSerializer, addValueInstantiator, getModuleName, getTypeId, registerSubtypes, registerSubtypes, registerSubtypes, setAbstractTypes, setDeserializerModifier, setDeserializers, setKeyDeserializers, setKeySerializers, setMixInAnnotation, setNamingStrategy, setSerializerModifier, setSerializers, setupModule, setValueInstantiators, version`

    - ### Methods inherited from class com.fasterxml.jackson.databind.Module

      `getDependencies`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnumAsIonSymbolModule

          public EnumAsIonSymbolModule()

Copyright © 2019 FasterXML. All rights reserved.